Show Data Action
Request
GET /api/show_data
Description
Used to get the total data volume of the cluster or the data volume of the specified database. Unit byte.
Path parameters
None
Query parameters
-
dbOptional. If specified, get the data volume of the specified database.
Request body
None
Response
-
Specify the amount of data in the database.
{"msg": "success","code": 0,"data": {"default_cluster:db1": 381},"count": 0} -
Total data
{"msg": "success","code": 0,"data": {"__total_size": 381},"count": 0}
Examples
-
Get the data volume of the specified database
GET /api/show_data?db=db1Response:{"msg": "success","code": 0,"data": {"default_cluster:db1": 381},"count": 0} -
Get the total data volume of the cluster
GET /api/show_dataResponse:{"msg": "success","code": 0,"data": {"__total_size": 381},"count": 0}